%define dname jabberd-jit
%define username _jabber_jit
Name: jabber-jit
Version: 1.1.7
Release: alt1
Summary: Jabber ICQ Transport
Group: System/Servers
License: GPL
URL: http://jit.jabberstudio.org/
Packager: Mikhail Pokidko <pma@altlinux.org>
Source: jit-%version.tar.gz
Source1: %name.xml
Source2: %name.logrotate
Source3: %name.init
Source4: %name.adapter

# /registered resource id that JIT tends to add to its JID
# confuses the hell out of Psi and other clients
Patch1: %name-1.1.2-resource.patch
# Don't send s10n auth request to ICQ when a Jabber user
# has authorized subscription from the ICQ user
Patch2: %name-1.1.5-subscribed.patch
# Clean up vCard DESC to be as the user meant it to. Hide IPs.
Patch3: %name-1.1.5-clean-desc.patch
# Don't append date to logfile names
Patch4: %name-1.1.5-no-thanks-we-have-logrotate.patch
# Bring code to the C++ standard in order to compile on g++ 3.3
Patch5: %name-1.1.6-g++3.3.patch
# Get rid of the "origfrom" attribute hack which is useless
# for the current server, as well as from "name" attribute
# in s10n
Patch6: %name-1.1.6-unhack-attr.patch
Patch7: %dname-1.1.7-search.patch
Patch8: jit-1.1.7ttn.patch

Obsoletes: ejabberd-jit
#Requires: ejabberd
Requires: jabber-common
# Automatically added by buildreq on Wed Mar 14 2007
BuildRequires: gcc-c++ jabber-common

%description
Jabber ICQ Transport is a Jabber component which provides interoperability
between ICQ and Jabber IM systems. JIT is based on a special fast jabberd
core with pthreads.

%prep
%setup -q -n jit-%version

#patch1 -p1
#patch2 -p1
#patch3 -p1
#patch4 -p1
#%patch5 -p1
#%patch6 -p1
%patch7 -p1
%patch8 -p0

%build
%configure

%__subst '/^COMMON_CFLAGS/ s|-I%_includedir ||' platform-settings
%__subst 's|^OUT_FILE=.*|OUT_FILE=jabber-jit|' platform-settings
%__subst '/^COMMON_CFLAGS/ s|-g ||' platform-settings
%__subst '/^CONFIG_FILE/ s|jabber.xml|jabber-jit.xml|' platform-settings

%make_build

%install
mkdir -p %buildroot%_sbindir \
    %buildroot%_libdir/%name \
    %buildroot%_sysconfdir/%name \
    %buildroot%_spooldir/%name \
    %buildroot%_initdir \
    %buildroot%_docdir/%name-%version \
    %buildroot%_sysconfdir/logrotate.d

install jabberd/jabber-jit %buildroot%_sbindir
install jit/jit.so %buildroot%_libdir/%name
install xdb_file/xdb_file.so %buildroot%_libdir/%name

install {README,AUTHORS} %buildroot%_docdir/%name-%version
install -m644 LICENSE %buildroot%_docdir/%name-%version
install doc/FAQ %buildroot%_docdir/%name-%version
install jit/{INSTALL,*.example} %buildroot%_docdir/%name-%version
install -m644 jit/ChangeLog %buildroot%_docdir/%name-%version

install -m640 %SOURCE1 %buildroot%_sysconfdir/%name/%name.xml
install -m644 %SOURCE2 %buildroot%_sysconfdir/logrotate.d/%name
install -m755 %SOURCE3 %buildroot%_initdir/%name
install -pD -m644 %SOURCE4 %buildroot%_jabber_component_dir/%name

%pre
%_sbindir/groupadd -r -f %username 2>/dev/null ||:
%_sbindir/useradd -r -g %username -c 'jabber transport' -d %_datadir/%name \
 -s /dev/null %username 2>/dev/null ||:

%post
%_jabber_config
%post_ldconfig
%post_service %name

%postun
%postun_ldconfig

%preun
%preun_service %name

%files
%_sbindir/%name
%_libdir/%name
%config(noreplace) %attr(0640,%username,%username) %_sysconfdir/%name/%name.xml
%dir %attr(0700,%username,%username) %_spooldir/%name
%_initdir/%name
%_docdir/%name-%version
%_sysconfdir/logrotate.d/%name
%_jabber_component_dir/%name

%changelog
* Tue Mar 27 2007 Mikhail Pokidko <pma@altlinux.ru> 1.1.7-alt1
- New version.
- ALT Linux Jabber Policy packaging.

* Tue Dec 13 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.6-alt5
- Updated scripts and configuration to match changes in jabberd 1.4.4

* Wed Jul 27 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.6-alt4
- Patch by Sergey Golovan to add browse/disco capabilities [Patch7]

* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.1.6-alt3.1
- Rebuilt with libstdc++.so.6.

* Thu Oct 14 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.6-alt3
- Use jabber-conftool in scripts

* Wed Dec 31 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.6-alt2
- Bring C++ code to the standard in order to compile with g++ 3.3 [Patch6]

* Thu Jul 17 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.6-alt1
- New version
- Patch4 updated
- Updated the init script for start_daemon/stop_daemon

* Sun Mar 23 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.5-alt1
- new version

- Patch0: avoid an unnecessary ICQ auth request when Jabber user authorizes
  an ICQ user's s10n
- Patch1 removed (gone upstream)
- Patch2 updated
- Patch4 updated
- Patch5: don't adorn logfile names with date
- Added logrotate config
  
* Tue Feb 18 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.4-alt1
- 1.1.4
- Patch0 removed (gone upstream)
- Patch2 updated and enhanced

* Sat Feb 08 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.3-alt1
- 1.1.3
- Updated Patch4 to also strip off illicit name attribute from s10n
- Updated default config
- More stuff in the documents

* Fri Feb 07 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.2-alt3
- Patch4: get rid of origfrom hack attribute

* Thu Feb 06 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.2-alt2
- Patch3: experimental patch to get rid of the /registered resource
- Fixed lockfile name in the init script

* Tue Jan 28 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.2-alt1
- Added init script

* Fri Jan 24 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.2-alt0.2
- Patch2: Clean vCards DESC from IP address info and ego-boosting
  
* Fri Jan 17 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.2-alt0.1
- Initial pre-release (no good init script as of yet)
  

